package cn.iocoder.yudao.module.rescue.service;


import cn.iocoder.yudao.module.rescue.domain.RescueConfig;

import java.util.List;

/**
 * 救援司机提成配置Service接口
 *
 * @author zcy
 * @date 2023-12-01
 */
public interface IRescueConfigService
{
    /**
     * 查询救援司机提成配置
     *
     * @param id 救援司机提成配置主键
     * @return 救援司机提成配置
     */
    public RescueConfig selectRescueConfigByDeptId();

    /**
     * 查询救援司机提成配置列表
     *
     * @param rescueConfig 救援司机提成配置
     * @return 救援司机提成配置集合
     */
    public List<RescueConfig> selectRescueConfigList(RescueConfig rescueConfig);

    /**
     * 新增救援司机提成配置
     *
     * @param rescueConfig 救援司机提成配置
     * @return 结果
     */
    public int insertRescueConfig(RescueConfig rescueConfig);

    /**
     * 修改救援司机提成配置
     *
     * @param rescueConfig 救援司机提成配置
     * @return 结果
     */
    public int updateRescueConfig(RescueConfig rescueConfig);

    /**
     * 批量删除救援司机提成配置
     *
     * @param ids 需要删除的救援司机提成配置主键集合
     * @return 结果
     */
    public int deleteRescueConfigByIds(Long[] ids);

    /**
     * 删除救援司机提成配置信息
     *
     * @param id 救援司机提成配置主键
     * @return 结果
     */
    public int deleteRescueConfigById(Long id);
}
